//---------------------------------------------------------------------------
// Copyright 2000 Andreas Huennebeck
//
// Licensed under the terms of the GNU General Public License.
// ABSOLUTELY NO WARRANTY. See the file 'COPYING' in this distribution.
//
// $Source: /home/ah/CvsTree/daten/src/ft/RiaaOutput.h,v $
// $Id: RiaaOutput.h,v 1.1 2002/11/01 18:16:38 ah Exp $ 
//
//---------------------------------------------------------------------------

#ifndef AH_FT_RIAA_OUTPUT
#define AH_FT_RIAA_OUTPUT

const char FtRiaaOutput_CVSIDd[] = "$Id: RiaaOutput.h,v 1.1 2002/11/01 18:16:38 ah Exp $ (c) 2002 Andreas Huennebeck";

// --- necessary includes ---
#include <AH/Config/Platform.h> // always the first include
USING_NAMESPACE(AH)

#include "PlainOutput.h"

class Cplx;

// --- constants ---

// --- classes ---

class RiaaOutput: public PlainOutput
{
 public:
    RiaaOutput(FILE* fpo, unsigned int in_size, 
	       unsigned int out_size, double f_max, unsigned int debug = 0);
    virtual ~RiaaOutput() {}
 protected:
    virtual void printValues(double f, double betrag, double db);
};

#endif // !AH_FT_RIAA_OUTPUT
// --- end of file ---
