//---------------------------------------------------------------------------
// Copyright 2002 Andreas Huennebeck
//
// Licensed under the terms of the GNU General Public License.
// ABSOLUTELY NO WARRANTY. See the file 'COPYING' in this distribution.
//
// $Source: /home/ah/CvsTree/daten/src/gensig/SigLsb.h,v $
// $Id: SigLsb.h,v 1.1 2002/12/17 23:41:52 ah Exp $ 
//
// Description: print information about specified wav file
//
//---------------------------------------------------------------------------

#ifndef SIGNAL_LSB_H
#define SIGNAL_LSB_H

// --- necessary includes ---
#include <AH/Config/Platform.h> // always the first include
USING_NAMESPACE(AH)
#include "SigBase.h"

// --- forward declarations ---

// --- types and classes ---

class SignalLsb: public SignalBase
{
 public:
    SignalLsb(unsigned int addbits, double frequency, unsigned int samplerate,
	      unsigned int debug = 0)
	: SignalBase(0, samplerate, debug), bits(addbits), freq(frequency)
	{}
    virtual ~SignalLsb() {}

    virtual void addSignal(double* data, unsigned int num);

 protected:
    unsigned int bits;
    double freq;
};

#endif // !SIGNAL_LSB_H
// --- end of file ---
