//---------------------------------------------------------------------------
// Copyright 2002 Andreas Huennebeck
//
// Licensed under the terms of the GNU General Public License.
// ABSOLUTELY NO WARRANTY. See the file 'COPYING' in this distribution.
//
// $Source: /home/ah/CvsTree/daten/src/gensig/SigRiaaSweep.h,v $
// $Id: SigRiaaSweep.h,v 1.1 2002/12/16 23:42:26 ah Exp $ 
//
// Description: print information about specified wav file
//
//---------------------------------------------------------------------------

#ifndef SIGNAL_RIAA_SWEEP_H
#define SIGNAL_RIAA_SWEEP_H

// --- necessary includes ---
#include <AH/Config/Platform.h> // always the first include
USING_NAMESPACE(AH)
#include "SigBase.h"

// --- forward declarations ---

// --- types and classes ---

class SignalRiaaSweep: public SignalBase
{
 public:
    SignalRiaaSweep(double fbegin, double fend, bool linear, double stime, 
		double amplitude, unsigned int samplerate,
		unsigned int debug = 0);
    virtual ~SignalRiaaSweep() {}

    virtual void addSignal(double* data, unsigned int num);

 protected:
    double f1;
    double f2;
    double tim;
    bool lin;
};

#endif // !SIGNAL_RIAA_SWEEP_H
// --- end of file ---
