//---------------------------------------------------------------------------
// Copyright 2002 Andreas Huennebeck
//
// Licensed under the terms of the GNU General Public License.
// ABSOLUTELY NO WARRANTY. See the file 'COPYING' in this distribution.
//
// $Source: /home/ah/CvsTree/daten/src/gensig/SigSaw.h,v $
// $Id: SigSaw.h,v 1.1 2002/12/17 21:17:18 ah Exp $ 
//
// Description: print information about specified wav file
//
//---------------------------------------------------------------------------

#ifndef SIGNAL_SAW_H
#define SIGNAL_SAW_H

// --- necessary includes ---
#include <AH/Config/Platform.h> // always the first include
USING_NAMESPACE(AH)
#include "SigBase.h"

// --- forward declarations ---

// --- types and classes ---

class SignalSaw: public SignalBase
{
 public:
    SignalSaw(double frequency, double amplitude, unsigned int samplerate, 
		unsigned int debug = 0)
	: SignalBase(amplitude, samplerate, debug), freq(frequency)
	{}
    virtual ~SignalSaw() {}

    virtual void addSignal(double* data, unsigned int num);

 protected:
    double freq;
};

#endif // !SIGNAL_SAW_H
// --- end of file ---
