//---------------------------------------------------------------------------
// Copyright 2002 Andreas Huennebeck
//
// Licensed under the terms of the GNU General Public License.
// ABSOLUTELY NO WARRANTY. See the file 'COPYING' in this distribution.
//
// $Source: /home/ah/CvsTree/daten/src/gensig/SigSilence.h,v $
// $Id: SigSilence.h,v 1.1 2005/10/29 10:44:04 ah Exp $ 
//
// Description: print information about specified wav file
//
//---------------------------------------------------------------------------

#ifndef SIGNAL_SILENCE_H
#define SIGNAL_SILENCE_H

// --- necessary includes ---
#include <AH/Config/Platform.h> // always the first include
USING_NAMESPACE(AH)
#include "SigBase.h"

// --- forward declarations ---

// --- types and classes ---

class SignalSilence: public SignalBase
{
 public:
    SignalSilence(unsigned int samplerate, 
	     unsigned int debug = 0)
	: SignalBase(0, samplerate, debug)
	{}
    virtual ~SignalSilence() {}

    virtual void addSignal(double* data, unsigned int num);

 protected:
};

#endif // !SIGNAL_SILENCE_H
// --- end of file ---
