//---------------------------------------------------------------------------
// Copyright 1998 Andreas Huennebeck
//
// $Source: /home/ah/CvsTree/daten/src/libAHetech/BurrBrownOpAmps.c,v $
// $Id: BurrBrownOpAmps.c,v 1.3 2001/10/05 23:44:26 ah Exp $
//
// Description: implementation of Burr Brown operational amplifiers
//
//---------------------------------------------------------------------------

static const char rcsid[] = "$Id: BurrBrownOpAmps.c,v 1.3 2001/10/05 23:44:26 ah Exp $ (c) 1997 Andreas Huennebeck";

// --- necessary includes ---

#include <AH/Config/Platform.h>
#include <AH/Etech/BurrBrownOpAmps.h>
#include <AH/Etech/Resistor.h>
#include <AH/Etech/Capacitor.h>

// --- local stuff ---

// --- class member implementation ---


// default constructor
OPA134::OPA134() : OpAmp("OPA134", 1e6, 8e6, 10, 8e-9, 100, 3e-18, 4e3)
{
    Rin = new Resistor(10e12);	// 10 Tohm (differential)
    Cin = new Capacitor(2e-12);	// 2 pF
}

// default constructor
OPA604::OPA604() : OpAmp("OPA604", 1e5, 20e6, 25, 10e-9, 70, 4e-18, 300e3) 
{
    Rin = new Resistor(1e12);	// 1 Tohm (differential)
    Cin = new Capacitor(8e-12);	// 8 pF
}

