//---------------------------------------------------------------------------
// Copyright 1998 Andreas Huennebeck
//
// $Source: /home/ah/CvsTree/daten/src/libAHetech/testvierpol.c,v $
// $Id: testvierpol.c,v 1.3 2004/04/20 22:14:57 ah Exp $
//
// Description: implementation of vierpol classes
//
//---------------------------------------------------------------------------

static const char rcsid[] = "$Id: testvierpol.c,v 1.3 2004/04/20 22:14:57 ah Exp $ (c) 1998 Andreas Huennebeck";

// --- necessary includes ---

#include <AH/Etech/VierPol.h>
#include <iostream>

// --- local stuff ---

// --- global functions ---

int main(int argc, char* argv[])
{
    Cplx r1(10);	// 10 Ohm
    VierPolY vpy(1/r1, -1/r1, -1/r1, 1/r1);
    VierPolZ vpz(vpy);
    VierPolH vph(vpy);
    VierPolA vpa(vpy);

    std::cout << "Y-Vierpol:\n" << vpy << std::endl;
    std::cout << "Z-Vierpol:\n" << vpz << std::endl;
    std::cout << "A-Vierpol:\n" << vpa << std::endl;
    std::cout << "H-Vierpol:\n" << vph << std::endl;
    return 0;
}
