//---------------------------------------------------------------------------
// Copyright 1998 Andreas Huennebeck
//
// Licensed under the terms of the GNU General Public License.
// ABSOLUTELY NO WARRANTY. See the file `COPYING' in this distribution.
//
// $Source: /home/ah/CvsTree/daten/src/libAHio/TestCFormat.c,v $
// $Id: 
//
// Description: 
//
//---------------------------------------------------------------------------

static const char rcsid[] = "$Id: TestCFormat.c,v 1.1 2000/02/27 00:29:56 ah Exp $ (c) 1998 Andreas Huennebeck";

// --- necessary includes ---

#include <stdio.h>
#include <stdlib.h>
#include <iostream>
#include <strstream>

using namespace std;

// --- local implementation ---

int main(void)
{
    const char* format = "%5.2f";
    const double arg = 23.5;

    char buf1[128];
    ostrstream out(buf1, sizeof(buf1));
    cout << "old width=" << out.width() << endl;
    out.width(5);
    cout << "new width=" << out.width() << endl;
    out << arg << '\0';
    out.flush();

    //--------------------------------
    // apply sprintf, result in buf2:
    //--------------------------------
    char buf2[128];
    (void)sprintf(buf2,format,arg);

    //------------------
    // compare results:
    //------------------
    if (0 != strcmp(buf1, buf2))
    {
	cout << "Error: (\"" << format << "\") of " << arg << " = \""
	     << buf1 << "\", printf = \"" << buf2 << "\"" 
	     << endl;
	return 1;
    }

    return 0;
}

