//---------------------------------------------------------------------------
// Copyright 2002 Andreas Huennebeck
//
// Licensed under the terms of the GNU General Public License.
// ABSOLUTELY NO WARRANTY. See the file 'COPYING' in this distribution.
//
// $Source: /home/ah/CvsTree/daten/src/ft/dither.h,v $
// $Id: dither.h,v 1.2 2002/11/30 00:39:36 ah Exp $ 
//
// Description: 
//
//---------------------------------------------------------------------------

#ifndef FT_DITHER_H
#define FT_DITHER_H

// --- necessary includes ---

#include <string>
#include <drfftw.h>

// --- types and classes ---

class FtDither
{
 public:
    enum Type { None, RectAngle, Triangle };
    FtDither(Type t, unsigned int seed = 1);

    double getSignal();

    static double getRectAngle();
 private:
    static double getTriangle();
    Type dTyp;
};

#endif // !FT_DITHER_H
// --- end of file ---
