//---------------------------------------------------------------------------
// Copyright 2002 Andreas Huennebeck
//
// Licensed under the terms of the GNU General Public License.
// ABSOLUTELY NO WARRANTY. See the file 'COPYING' in this distribution.
//
// $Source: /home/ah/CvsTree/daten/src/gensig/SigMsb.h,v $
// $Id: SigMsb.h,v 1.1 2002/12/17 23:41:52 ah Exp $ 
//
// Description: print information about specified wav file
//
//---------------------------------------------------------------------------

#ifndef SIGNAL_MSB_H
#define SIGNAL_MSB_H

// --- necessary includes ---
#include <AH/Config/Platform.h> // always the first include
USING_NAMESPACE(AH)
#include "SigBase.h"

// --- forward declarations ---

// --- types and classes ---

class SignalMsb: public SignalBase
{
 public:
    SignalMsb(double frequency, unsigned int samplerate,
	      unsigned int debug = 0)
	: SignalBase(0, samplerate, debug), freq(frequency)
	{}
    virtual ~SignalMsb() {}

    virtual void addSignal(double* data, unsigned int num);

 protected:
    double freq;
};

#endif // !SIGNAL_MSB_H
// --- end of file ---
