//---------------------------------------------------------------------------
// Copyright 2002 Andreas Huennebeck
//
// Licensed under the terms of the GNU General Public License.
// ABSOLUTELY NO WARRANTY. See the file 'COPYING' in this distribution.
//
// $Source: /home/ah/CvsTree/daten/src/gensig/SigPinkNoise.h,v $
// $Id: SigPinkNoise.h,v 1.2 2002/12/15 16:42:44 ah Exp $ 
//
// Description: print information about specified wav file
//
//---------------------------------------------------------------------------

#ifndef SIGNAL_PINK_NOISE_H
#define SIGNAL_PINK_NOISE_H

// --- necessary includes ---
#include <AH/Config/Platform.h> // always the first include
USING_NAMESPACE(AH)
#include "SigColNoise.h"

// --- forward declarations ---

// --- types and classes ---

class SignalPinkNoise: public SignalColoredNoise
{
 public:
    SignalPinkNoise(double amplitude, unsigned int samplerate, 
		     unsigned int debug = 0)
	: SignalColoredNoise(amplitude, samplerate, debug) {}
    virtual ~SignalPinkNoise() {}

 protected:
    virtual double getRealFactor(unsigned int i);
    virtual double getImagFactor(unsigned int i);
};

#endif // !SIGNAL_PINK_NOISE_H
// --- end of file ---
