//---------------------------------------------------------------------------
// Copyright 2002 Andreas Huennebeck
//
// Licensed under the terms of the GNU General Public License.
// ABSOLUTELY NO WARRANTY. See the file 'COPYING' in this distribution.
//
// $Source: /home/ah/CvsTree/daten/src/gensig/SigSweep.h,v $
// $Id: SigSweep.h,v 1.2 2002/12/11 01:51:34 ah Exp $ 
//
// Description: print information about specified wav file
//
//---------------------------------------------------------------------------

#ifndef SIGNAL_SWEEP_H
#define SIGNAL_SWEEP_H

// --- necessary includes ---
#include <AH/Config/Platform.h> // always the first include
USING_NAMESPACE(AH)
#include "SigBase.h"

// --- forward declarations ---

// --- types and classes ---

class SignalSweep: public SignalBase
{
 public:
    SignalSweep(double fbegin, double fend, bool linear, double stime, 
		double amplitude, unsigned int samplerate,
		unsigned int debug = 0);
    virtual ~SignalSweep() {}

    virtual void addSignal(double* data, unsigned int num);

 protected:
    double f1;
    double f2;
    double tim;
    bool lin;
};

#endif // !SIGNAL_SWEEP_H
// --- end of file ---
