//---------------------------------------------------------------------------
// Copyright 2002 Andreas Huennebeck
//
// Licensed under the terms of the GNU General Public License.
// ABSOLUTELY NO WARRANTY. See the file 'COPYING' in this distribution.
//
// $Source: /home/ah/CvsTree/daten/src/gensig/SigWhiteNoise.h,v $
// $Id: SigWhiteNoise.h,v 1.2 2002/12/15 16:42:44 ah Exp $ 
//
// Description: print information about specified wav file
//
//---------------------------------------------------------------------------

#ifndef SIGNAL_WHITE_NOISE_H
#define SIGNAL_WHITE_NOISE_H

// --- necessary includes ---
#include <AH/Config/Platform.h> // always the first include
USING_NAMESPACE(AH)
#include "SigBase.h"

#include <values.h> 

// --- forward declarations ---

// --- types and classes ---

class SignalWhiteNoise: public SignalBase
{
 public:
    SignalWhiteNoise(double amplitude, unsigned int samplerate, 
		     unsigned int debug = 0);
    virtual ~SignalWhiteNoise() {}

    virtual void addSignal(double* data, unsigned int num);

};

#endif // !SIGNAL_WHITE_NOISE_H
// --- end of file ---
