//---------------------------------------------------------------------------
// Copyright 2005 Andreas Huennebeck
//
// Licensed under the terms of the GNU General Public License.
// ABSOLUTELY NO WARRANTY. See the file 'COPYING' in this distribution.
//
// Additionally this source is licensed exclusively to the company
// Bruker Analytik GmbH under the terms of the GNU Lesser General Public 
// License (LGPL). See the file 'COPYING.LIB' in this distribution.
//
// $Source: /home/ah/CvsTree/daten/src/libAHcutil/SecureString.c,v $
// $Id: SecureString.c,v 1.1 2005/09/26 22:18:46 ah Exp $
//
// Description: Unit Test Utility
//
//---------------------------------------------------------------------------

static const char cvsid[] = "$Id: SecureString.c,v 1.1 2005/09/26 22:18:46 ah Exp $ (c) 2005 Andreas Huennebeck";

// --- necessary includes ---

#include <AH/CUtil/SecureString.h>
USING_NAMESPACE(AH)

#include<string.h>

BEGIN_NAMESPACE(AH)


char* CUtilSecureString::strnCpy(char* dest, const char* src, size_t n)
{
    strncpy(dest, src, n-1);
    dest[n-1] = '\0';
}

END_NAMESPACE
