const char sweep_CVSID[] = "$Id: Dither.c,v 1.3 2005/02/06 13:40:47 ah Exp $ (c) 2002 Andreas Huennebeck";

// --- necessary includes ---
#include <AH/Config/Platform.h> // always the first include
USING_NAMESPACE(AH)

#include <AH/Math/Dither.h>
#include <cstdlib> 
#include <climits> 
#include <cfloat> 
#include <iostream>

// --- local constants ---

// --- local data ---

// --- local classes ---

// --- local functions ---

// --- global functions ---

MathDither::MathDither(Type t, unsigned int seed)
    : dTyp(t)
{
    srandom(seed);
}


double MathDither::getRectAngle()
{
    return ((double)random() / (double)RAND_MAX) - 0.5;
}


double MathDither::getSignal()
{
    switch (dTyp)
    {
    default:
    case None:      return 0.0;

    case RectAngle: return getRectAngle(); // -0.5 .. +0.5
    case Triangle:  return (getRectAngle() + getRectAngle()); // -1 .. +1
    }
}


// --- end of file ---





